<template lang="pug">
section.section.about-section.fp-auto-height
  .about-section__plane
    span

  .about-section__inner
    .container
      h2.about-section__title(v-if="title")
        div(v-html="title")

      .about-section__why(v-if="content" v-html="content")

      .about-section__btn(v-if="buttonCaption && buttonModal")
        button.btn(
          type="button"
          @click="$emit('showModal')"
          v-html="buttonCaption"
        )

      .about-section__images(
        v-if="slides && slides.length"
      )
        .swiper-button-prev(v-if="slides.length > 1")
        .swiper-button-next(v-if="slides.length > 1")
        .swiper-container(
          v-swiper:aboutImages="sliderOptions"
        )
          .swiper-wrapper
            .swiper-slide(
              v-for="slide in slides"
              :key="slide.id"
            )
              img(:src="slide.image" alt="")
</template>

<script>
import objectFitImages from 'object-fit-images'

export default {
  name: 'AboutSection',

  data () {
    return {
      sliderOptions: {
        slidesPerView: 3,
        spaceBetween: 0,
        threshold: 10,
        watchOverflow: true,
        speed: 600,
        loop: true,
        loopedSlides: 6,
        simulateTouch: false,
        touch: false,
        navigation: {
          prevEl: '.about-section__images .swiper-button-prev',
          nextEl: '.about-section__images .swiper-button-next'
        },
        breakpoints: {
          1230: {
            slidesPerView: 3
          },
          1024: {
            slidesPerView: 3
          },
          768: {
            slidesPerView: 3
          },
          0: {
            slidesPerView: 1
          }
        }
      }
    }
  },

  mounted () {
    objectFitImages()
  },

  props: {
    buttonCaption: {
      type: [String, null],
      required: false,
      default: null
    },
    buttonModal: {
      type: Boolean,
      required: false,
      default: false
    },
    buttonUrl: {
      type: [String, null],
      required: false,
      default: null
    },
    content: {
      type: [String, null],
      required: false,
      default: null
    },
    slides: {
      type: Array,
      required: false,
      default: () => []
    },
    title: {
      type: [String, null],
      required: false,
      default: null
    }
  }
}
</script>
